<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Lexis.Verb</span><span>
</span><span id="line-2"></span><span>  </span><span class="hs-special">(</span><span> </span><span class="annot"><a href="Lexis.Verb.html#Verb"><span class="hs-identifier">Verb</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-glyph">..</span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-3"></span><span>    </span><span class="annot"><a href="Lexis.Verb.html#getVerb"><span class="hs-identifier">getVerb</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-4"></span><span>  </span><span class="hs-special">)</span><span>
</span><span id="line-5"></span><span class="hs-keyword">where</span><span>
</span><span id="line-6"></span><span>
</span><span id="line-7"></span><span class="hs-comment">-- | Verbs are classified according to the arguments they take</span><span>
</span><span id="line-8"></span><span class="hs-keyword">data</span><span> </span><span id="Verb"><span class="annot"><a href="Lexis.Verb.html#Verb"><span class="hs-identifier hs-var">Verb</span></a></span></span><span>
</span><span id="line-9"></span><span>  </span><span class="hs-glyph">=</span><span> </span><span id="Nor"><span class="annot"><a href="Lexis.Verb.html#Nor"><span class="hs-identifier hs-var">Nor</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-10"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="Copula"><span class="annot"><a href="Lexis.Verb.html#Copula"><span class="hs-identifier hs-var">Copula</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-11"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="NorNori"><span class="annot"><a href="Lexis.Verb.html#NorNori"><span class="hs-identifier hs-var">NorNori</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-12"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="NorNork"><span class="annot"><a href="Lexis.Verb.html#NorNork"><span class="hs-identifier hs-var">NorNork</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-13"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="NorNoriNork"><span class="annot"><a href="Lexis.Verb.html#NorNoriNork"><span class="hs-identifier hs-var">NorNoriNork</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-14"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679081765"><span id="local-6989586621679081767"><span id="local-6989586621679081769"><span class="annot"><span class="annottext">Int -&gt; Verb -&gt; ShowS
[Verb] -&gt; ShowS
Verb -&gt; String
(Int -&gt; Verb -&gt; ShowS)
-&gt; (Verb -&gt; String) -&gt; ([Verb] -&gt; ShowS) -&gt; Show Verb
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [Verb] -&gt; ShowS
$cshowList :: [Verb] -&gt; ShowS
show :: Verb -&gt; String
$cshow :: Verb -&gt; String
showsPrec :: Int -&gt; Verb -&gt; ShowS
$cshowsPrec :: Int -&gt; Verb -&gt; ShowS
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679081760"><span id="local-6989586621679081762"><span class="annot"><span class="annottext">Verb -&gt; Verb -&gt; Bool
(Verb -&gt; Verb -&gt; Bool) -&gt; (Verb -&gt; Verb -&gt; Bool) -&gt; Eq Verb
forall a. (a -&gt; a -&gt; Bool) -&gt; (a -&gt; a -&gt; Bool) -&gt; Eq a
/= :: Verb -&gt; Verb -&gt; Bool
$c/= :: Verb -&gt; Verb -&gt; Bool
== :: Verb -&gt; Verb -&gt; Bool
$c== :: Verb -&gt; Verb -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var">Eq</span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-15"></span><span>
</span><span id="line-16"></span><span class="hs-comment">-- | Produces the verb's root</span><span>
</span><span id="line-17"></span><span class="annot"><a href="Lexis.Verb.html#getVerb"><span class="hs-identifier hs-type">getVerb</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.Verb.html#Verb"><span class="hs-identifier hs-type">Verb</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-18"></span><span id="getVerb"><span class="annot"><span class="annottext">getVerb :: Verb -&gt; String
</span><a href="Lexis.Verb.html#getVerb"><span class="hs-identifier hs-var hs-var">getVerb</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Verb.html#Nor"><span class="hs-identifier hs-type">Nor</span></a></span><span> </span><span id="local-6989586621679081758"><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081758"><span class="hs-identifier hs-var">v</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081758"><span class="hs-identifier hs-var">v</span></a></span><span>
</span><span id="line-19"></span><span class="annot"><a href="Lexis.Verb.html#getVerb"><span class="hs-identifier hs-var">getVerb</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Verb.html#Copula"><span class="hs-identifier hs-type">Copula</span></a></span><span> </span><span id="local-6989586621679081757"><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081757"><span class="hs-identifier hs-var">v</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081757"><span class="hs-identifier hs-var">v</span></a></span><span>
</span><span id="line-20"></span><span class="annot"><a href="Lexis.Verb.html#getVerb"><span class="hs-identifier hs-var">getVerb</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Verb.html#NorNori"><span class="hs-identifier hs-type">NorNori</span></a></span><span> </span><span id="local-6989586621679081756"><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081756"><span class="hs-identifier hs-var">v</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081756"><span class="hs-identifier hs-var">v</span></a></span><span>
</span><span id="line-21"></span><span class="annot"><a href="Lexis.Verb.html#getVerb"><span class="hs-identifier hs-var">getVerb</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Verb.html#NorNork"><span class="hs-identifier hs-type">NorNork</span></a></span><span> </span><span id="local-6989586621679081755"><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081755"><span class="hs-identifier hs-var">v</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081755"><span class="hs-identifier hs-var">v</span></a></span><span>
</span><span id="line-22"></span><span class="annot"><a href="Lexis.Verb.html#getVerb"><span class="hs-identifier hs-var">getVerb</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Verb.html#NorNoriNork"><span class="hs-identifier hs-type">NorNoriNork</span></a></span><span> </span><span id="local-6989586621679081754"><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081754"><span class="hs-identifier hs-var">v</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081754"><span class="hs-identifier hs-var">v</span></a></span><span>
</span><span id="line-23"></span></pre></body></html>